# 
# $Id$
# 
# [ Description ]
# 
# Makefile
# 
# DIR_MORPHEO must be defined

Execution_unit_to_Write_unit			= yes

ifndef Behavioural
include 			$(DIR_MORPHEO)/Behavioural/Makefile.deps
endif

#-----[ Directory ]----------------------------------------

Execution_unit_to_Write_unit_DIR			=	$(DIR_MORPHEO)/Behavioural/Core/Multi_Execute_loop/Execute_loop/Network/Execution_unit_to_Write_unit

#-----[ Library ]------------------------------------------
Execution_unit_to_Write_unit_LIBRARY		= 	-lExecution_unit_to_Write_unit	\
					$(Behavioural_LIBRARY)	

Execution_unit_to_Write_unit_DIR_LIBRARY		=	-L$(Execution_unit_to_Write_unit_DIR)/lib	\
					$(Behavioural_DIR_LIBRARY)

#-----[ Rules ]--------------------------------------------

Execution_unit_to_Write_unit_library		:
				@\
				$(MAKE) --directory=$(Behavioural_DIR) --makefile=Makefile;
				$(MAKE) --directory=$(Execution_unit_to_Write_unit_DIR) --makefile=Makefile;

Execution_unit_to_Write_unit_library_clean	:
				@\
				$(MAKE) --directory=$(Behavioural_DIR) --makefile=Makefile clean;
				$(MAKE) --directory=$(Execution_unit_to_Write_unit_DIR) --makefile=Makefile clean;
